- Qt 6.4
- Qt SCXML
- QML Types
- InvokedServices
- Qt 6.4.3 Reference Documentation

# InvokedServices QML Type

Provices access to the services invoked by state machines. More...

Import Statement: | import QtScxml 6.4
Since: | QtScxml 5.8

- List of all members, including inherited members

## Properties

- children : var
- qmlChildren : list<QtObject>
- stateMachine : ScxmlStateMachine

## Detailed Description

Makes the invoked services easily accessible by their names, without constantly iterating through QScxmlStateMachine::invokedServices.

The services are called from state machines via the mechanism described in SCXML Specification - 6.4 <invoke>.

## Property Documentation

children : var

The services invoked by the state machine.

qmlChildren : list<QtObject>

A list of additional QtObject types nested in this type.

stateMachine : ScxmlStateMachine

The state machine that invoked the services.